Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface FilterRegistration.Dynamic

All Superinterfaces:
  FilterRegistration, Registration, Registration.Dynamic

Enclosing interface:
  FilterRegistration

    public static interface FilterRegistration.Dynamic

extends FilterRegistration, Registration.Dynamic

Nested Class Summary

Nested classes/interfaces inherited from interface javax.servlet.FilterRegistration
`FilterRegistration.Dynamic`

Method Summary

Methods inherited from interface javax.servlet.FilterRegistration
`addMappingForServletNames, addMappingForUrlPatterns, getServletNameMappings, getUrlPatternMappings`

Methods inherited from interface javax.servlet.Registration.Dynamic
`setAsyncSupported`

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.